require 'spec_helper'

describe 'puppet_enterprise::profile::certificate_authority' do
  before :each do
    @facter_facts = {
      'osfamily'          => 'Debian',
      'operatingsystem'   => 'Debian',
      'lsbmajdistrelease' => '6',
      'puppetversion'     => '3.6.2 (Puppet Enterprise 3.3.0)',
      'is_pe'             => 'true',
      'fqdn'              => 'master.rspec',
      'clientcert'        => 'awesomecert',
      'pe_concat_basedir' => '/tmp/file',
      'processorcount'    => '1',
      'custom_auth_conf'  => 'true',
    }
    @params = {}
  end

  let(:facts) { @facter_facts }
  let(:confdir) { "/etc/puppetlabs/puppetserver" }
  let(:params) { @params }


  it { should satisfy_all_relationships }

  context 'client-whitelist certs' do
    context 'default list' do
      it { should contain_file("#{confdir}/conf.d/ca.conf").with_content(%r[certificate-authority:.*\n.*certificate-status:.*\n.*client-whitelist:\s*\[\s*pe-internal-dashboard\s*\]]) }
    end

    context 'using custom certs' do
      before :each do
        @params['client_whitelist'] = ['foo', 'bar']
      end

      it { should contain_file("#{confdir}/conf.d/ca.conf").with_content(%r[certificate-authority:.*\n.*certificate-status:.*\n.*client-whitelist:\s*\[\s*pe-internal-dashboard, foo, bar\s*\]]) }
    end
  end

end
