require 'spec_helper'

describe 'puppet_enterprise::trapperkeeper::activity' do
  before :all do
    @facter_facts = {
      'osfamily'          => 'Debian',
      'operatingsystem'   => 'Debian',
      'lsbmajdistrelease' => '6',
      'puppetversion'     => '3.6.2 (Puppet Enterprise 3.3.0)',
      'is_pe'             => 'true',
      'fqdn'              => 'rbac.rspec',
      'clientcert'        => 'awesomecert',
      'pe_concat_basedir'    => '/tmp/file',
    }
    @params = {
      'rbac_url_prefix' => '/blah-api',
      'rbac_port'  => '1111',
    }
  end

  let(:facts) { @facter_facts }
  let(:params) { @params }
  let(:title) { 'activity' }

  context "when the parameters are valid" do
    it { should contain_file("/etc/puppetlabs/activity/conf.d/activity.conf").with(:owner => "pe-activity",
                                                                                 :group => "pe-activity",
                                                                                 :mode => "0640") }

    it { should contain_file('/etc/puppetlabs/activity/conf.d/activity.conf').with_content(%r[rbac-base-url: "http://localhost:1111/blah-api/v1"]) }
    it { should contain_pe_concat__fragment('activity activity-service') }
    it { should contain_pe_concat__fragment('activity jetty9-service') }
  end

end

